cURL
curl --request POST \
--url https://api.hubapi.com/settings/users/2026-03 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"sendWelcomeEmail": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03"
payload = {
"email": "<string>",
"sendWelcomeEmail": True,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
sendWelcomeEmail: true,
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"seatNames": [
"<string>"
],
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Usuarios
Create a user
POST
/
settings
/
users
/
2026-03
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
application/json
Respuesta
successful operation
El correo electrónico del usuario.
El ID único del usuario.
Una lista de los ID de rol asignados al usuario.
Si el usuario tiene privilegios de superadministrador.
El nombre del usuario.
El apellido del usuario.
El equipo principal del usuario
El rol del usuario.
Los equipos adicionales del usuario.
Si se envió un correo electrónico de bienvenida al usuario. Este valor solo se rellenará en respuesta a una solicitud de aprovisionamiento. Las consultas posteriores serán falsas.
Última modificación el 3 de abril de 2026